Search results

  1. A

    Exterior boundary of shape.

    What in your understanding is the external boundary of a shape? Could you fully describe the problem? Could you attach the shape if it's not difficult? Or at least a picture?
  2. A

    Intersection of two wires

    maverick, I would use your first approach with the curves intersecting each other. Just would try to use Geom2dAPI_InterCurveCurve (more reliable) instead of GeomAPI_ExtremaCurveCurve. Geom2dAPI_InterCurveCurve requires 2dCurves, so you can first change the basis (I think you have a transition...
  3. A

    Some strange question when using GeomAPI_Interpolate to create a constrained BSpline curve

    Could you send the code? I'll take a look later.
  4. A

    How to make edge smooth?

    jianbaoxia, Most likely you don't have a 3d curve("representation") of the edge. This must be done by yourself. After creating the edge, perform BRepLib::BuildCurves3d(aHelixEdge, Precision::Confusion()); Why does it look so bad in the viewer (I mean after saving)? Probably, the...
  5. A

    How to trim a Curve with two point on it?

    jianbaoxia, Try something like GeomLib_Tool:: Parameter().
  6. A

    Does OCCT have suitable tool to get the the intersection between line and BSplineSurface, or only BRepAlgoAPI_Section can use?

    You can look GeomAPI_IntCS. Although there, probably, the same mechanisms.
  7. A

    May I get a suggestion about how to correct use Geom_BSplineSurface to build a TopoDS_Face through BRepBuilderAPI_MakeFace

    jianbaoxia, aOffsetSur is NULL. If you look inside Geom_OffsetSurface::Surface() you will see that the Geom_BSplineSurface type is not handled. Hence the error. Try something like BRepOffsetAPI_MakeOffsetShape.
  8. A

    How to write 3D annotation information into STEP-file

    Hi, Seems like a similar question - http://analysissitus.org/forum/index.php?threads/how-to-write-an-annotation-name-to-a-step-entity.132/
  9. A

    Create a line from gp_Ax1 seem get nothing, is that normal?

    In addition, it is common to sew faces. For edges, COMPOUND will most likely be returned.
  10. A

    Create a line from gp_Ax1 seem get nothing, is that normal?

    TopoDS_Edge aEdge1 = BRepBuilderAPI_MakeEdge(aLine1, -10.0 , 10.0); TopoDS_Edge aEdge2 = BRepBuilderAPI_MakeEdge(aLine2, -10.0 , 10.0);
  11. A

    Create a line from gp_Ax1 seem get nothing, is that normal?

    Dear jianbaoxia, Try to limit the line. TopoDS_Edge aEdge1 = BRepBuilderAPI_MakeEdge(aLine1, P1, P2); TopoDS_Edge aEdge2 = BRepBuilderAPI_MakeEdge(aLine2, P1, P2);
  12. A

    Compilation on Linux

    https://docs.gitlab.com/runner/
  13. A

    Compilation on Linux

    marnixteunissen, Actually, we could check the docker file. We have the corresponding settings in the yml file. Here we need to use either ready-made runners (gitlab terminology) or runners on our machine. We're working on running our own runners, as gitlab's runners might be used by others and...
  14. A

    Compilation on Linux

    Dear marnixteunissen, Yes, there is a docker file. Only it is configured for Algo. In addition, the container has not been launched for a long time, so I can not say whether it works now or not. But it seems like it should, since there was no change in third-party components.
  15. A

    A strange error when use TopoDS::Face()

    Dear @jianbaoxia, In other words, we have extracted FACE from COMPOUND. This is one of the options. It would be possible to use TopExp_Explorer exp(com, TopAbs_FACE).
  16. A

    A strange error when use TopoDS::Face()

    Dear jianbaoxia, After Common, com is COMPOUND. You make FACE using COMPOUND, so you have error. Try something like this: TopoDS_Shape com = BRepAlgoAPI_Common(cylinder, aPlane); if (com.ShapeType() == TopAbs_COMPOUND) { if (com.NbChildren() == 1) { TopoDS_Iterator...
  17. A

    Basic knowledge required for understanding CAD kernels.

    Dear Ashok, You can watch the lessons on our channel. https://www.youtube.com/c/QuaoarsWorkshop/featured There's also a site for AS if you're interested. http://analysissitus.org/index.html In addition, we use the open core OCCT. You can see the documentation for it...
  18. A

    Commands list

    Links seem to be broken....
  19. A

    How to using asiData_IVCurve2dNode::GetCONS() and asiData_IVCurve2dNode::SetCONS() ?

    Dear Guo issac, I looked at your code without thinking much about the correctness of taking nodes, etc. I have several questions: 1) Is the 2d curve in the surface parametrization area (for example, maybe the surface type is Geom_RectangularTrimmedSurface, etc.)? 2) Do V1, V2 lie on the...
  20. A

    How to using asiData_IVCurve2dNode::GetCONS() and asiData_IVCurve2dNode::SetCONS() ?

    Dear Guo issac, Could you describe the context of the task, if possible? In fact, Curve2d is a 2d curve in the parametric space of a surface. This curve, you define yourself. For example, Geom2d_BSplineCurve etc. asiData_IVCurve2dNode - Data Node representing a single 2D curve in IV...
Top